Package com.clickhouse.jdbc

# Interface ClickHouseStatement

All Superinterfaces:
  `AutoCloseable`, `Statement`, `Wrapper`

public interface ClickHouseStatement extends Statement

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`com.clickhouse.client.ClickHouseConfig`
`getConfig()`
`ClickHouseConnection`
`getConnection()`
`int`
`getNullAsDefault()`
`com.clickhouse.client.ClickHouseRequest<?>`
`getRequest()`
`void`
`setNullAsDefault(int level)`
`default com.clickhouse.client.ClickHouseRequest.Mutation`
`write()`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getConnection

ClickHouseConnection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `Statement`
Throws:
  `SQLException`

### getConfig

com.clickhouse.client.ClickHouseConfig getConfig()

### getNullAsDefault

int getNullAsDefault()

### setNullAsDefault

void setNullAsDefault(int level)

### getRequest

com.clickhouse.client.ClickHouseRequest<?> getRequest()

### write

default com.clickhouse.client.ClickHouseRequest.Mutation write()